# Uses of Class
org.apache.zookeeper.server.quorum.Observer

Packages that use Observer
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of Observer in org.apache.zookeeper.server

Constructors in org.apache.zookeeper.server with parameters of type Observer
Modifier
Constructor
Description
``
`ObserverBean(Observer observer, ZooKeeperServer zks)`

## Uses of Observer in org.apache.zookeeper.server.quorum

Fields in org.apache.zookeeper.server.quorum declared as Observer
Modifier and Type
Field
Description
`Observer`
QuorumPeer.`observer`
Methods in org.apache.zookeeper.server.quorum that return Observer
Modifier and Type
Method
Description
`Observer`
ObserverZooKeeperServer.`getObserver()`
`protected Observer`
QuorumPeer.`makeObserver(FileTxnSnapLog logFactory)`
Methods in org.apache.zookeeper.server.quorum with parameters of type Observer
Modifier and Type
Method
Description
`protected void`
QuorumPeer.`setObserver(Observer newObserver)`